Philips Hue: Activate Scene
Activate a predefined Philips Hue light scene. Accepts both v1 scene IDs (e.g., '5') and v2 UUIDs (e.g., '3f8a...'). Ideal for: mood setting, automation, scheduled ambiance, entertainment.
Catalog action Integrations pipedream:philips_hue
Activate a predefined Philips Hue light scene. Accepts both v1 scene IDs (e.g., '5') and v2 UUIDs (e.g., '3f8a...'). Ideal for: mood setting, automation, scheduled ambiance, entertainment.
At a Glance
| Field | Value |
|---|---|
| Action ID | philips-hue-activate-scene |
| Category | Integrations |
| Connector | pipedream:philips_hue |
| Requires gas | No |
| Funds movement | None declared |
| Tags | pipedream, integration, oauth, philips-hue, smart-home, lights, scene |
Payload Schema
| Field | Type | Required | Description |
|---|---|---|---|
sceneId | string | Yes | ID of the scene to activate. Accepts v1 IDs (e.g., '5') or v2 UUIDs (e.g., 'f5e6d7c8-...'). |
Result Schema
| Field | Type | Required | Description |
|---|---|---|---|
success | boolean | Yes | Whether the action succeeded |
data | object | No | Response from Philips Hue API |
Examples
json{ "type": "philips-hue-activate-scene", "payload": { "sceneId": "example-sceneId" }, "children": [], "connector": { "type": "pipedream:philips_hue", "id": "conn_pipedream_philips_hue" }}
bashcurl -X POST "https://api.b3os.org/v1/actions/philips-hue-activate-scene/test" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "inputs": { "sceneId": "example-sceneId" }}'
Payload fields can use workflow expressions such as {{$trigger.body.amount}}, {{$nodes.fetch.result.price}}, and {{$props.asset}} when the value should come from a trigger, prior node, or reusable workflow prop.
